# class Cairo::PathLineTo

### Public Class Methods

new(*args) click to toggle source

    static VALUE
    cr_path_line_to_initialize (int argc, VALUE *argv, VALUE self)
    {
      VALUE point, x, y;
      VALUE super_argv[2];

      rb_scan_args (argc, argv, "11", &x, &y);

      if (argc == 1)
        point = x;
      else
        point = cr_point_new (x, y);

      super_argv[0] = INT2NUM (CAIRO_PATH_LINE_TO);
      super_argv[1] = rb_ary_new3 (1, point);
      rb_call_super (2, super_argv);
      return Qnil;
    }